Loading...
Searching...
No Matches
BamTools::BamRegion Struct Reference

Represents a sequential genomic region. More...

`#include <BamAux.h>`

## Public Member Functions

| BamRegion (const int &leftID=-1, const int &leftPos=-1, const int &rightID=-1, const int &rightPos=-1)
| constructor
void | clear ()
| Clears region boundaries.
bool | isLeftBoundSpecified () const
| Returns true if region has a left boundary.
bool | isNull () const
| Returns true if region boundaries are not defined.
bool | isRightBoundSpecified () const
| Returns true if region has a right boundary.

## Public Attributes

int | LeftRefID
| reference ID for region's left boundary
int | LeftPosition
| position for region's left boundary
int | RightRefID
| reference ID for region's right boundary
int | RightPosition
| position for region's right boundary

## Detailed Description

Represents a sequential genomic region.

Allowed to span multiple (sequential) references.

Warning
  BamRegion now represents a zero-based, HALF-OPEN interval. In previous versions of BamTools (0.x & 1.x) all intervals were treated as zero-based, CLOSED.

## Constructor & Destructor Documentation

## BamRegion()

BamTools::BamRegion::BamRegion | ( | const int & | leftID = -1,
|  | const int & | leftPos = -1,
|  | const int & | rightID = -1,
|  | const int & | rightPos = -1 )

inline

constructor

## Member Function Documentation

## clear()

void BamTools::BamRegion::clear | ( |  | ) |

inline

Clears region boundaries.

## isLeftBoundSpecified()

bool BamTools::BamRegion::isLeftBoundSpecified | ( |  | ) | const

inline

Returns true if region has a left boundary.

## isNull()

bool BamTools::BamRegion::isNull | ( |  | ) | const

inline

Returns true if region boundaries are not defined.

## isRightBoundSpecified()

bool BamTools::BamRegion::isRightBoundSpecified | ( |  | ) | const

inline

Returns true if region has a right boundary.

## Member Data Documentation

## LeftPosition

int BamTools::BamRegion::LeftPosition

position for region's left boundary

## LeftRefID

int BamTools::BamRegion::LeftRefID

reference ID for region's left boundary

## RightPosition

int BamTools::BamRegion::RightPosition

position for region's right boundary

## RightRefID

int BamTools::BamRegion::RightRefID

reference ID for region's right boundary

The documentation for this struct was generated from the following file:

- BamAux.h